<UpdateScreen>:
    new_version_label: new_version
    update_button: update

    BoxLayout:
        orientation: 'vertical'

        BoxLayout:
            size_hint_y: None
            size: 80, 80

            Button:
                size_hint: None, None
                size: 80, 80
                text: '<'
                on_release:
                    root.manager.transition.direction = 'right'
                    root.manager.current = 'MainScreen'

            Label:
                text: 'FIRMWARE UPDATE'

        Label:
            size_hint_y: 5
            id: new_version
            text: 'Newer version is available'

        BoxLayout:
            Button:
                id: update
                text: 'Update'
                on_release:
                    root.update()

            Button:
                id: restart
                text: 'Restart Now'
                disabled: True
                on_release:
                    root.exit_app()
